from apiflask import APIBlueprint

from app.api.v1.api import api
from app.api.v1.auth import auth
from app.api.v1.record import record
from app.api.v1.user import user
from app.api.v1.diet import diet
from app.api.v1.interaction import interaction


def create_v1():
    bp_v1 = APIBlueprint('v1', __name__)
    bp_v1.register_blueprint(api, url_prefix='/api')
    bp_v1.register_blueprint(auth, url_prefix='/auth')
    bp_v1.register_blueprint(record, url_prefix='/record')
    bp_v1.register_blueprint(user, url_prefix='/user')
    bp_v1.register_blueprint(diet, url_prefix='/diet')
    bp_v1.register_blueprint(interaction, url_prefix='/interaction')
    return bp_v1







